/*-------------------------------------------------------------------------+
| Copyright 2015 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.compose;

import org.fortiss.tooling.base.model.element.IModelElementSpecification;
import org.fortiss.tooling.kernel.extension.data.LogMessage;

/**
 * {@link LogMessage} that is emitted when an element with referencing
 * {@link IModelElementSpecification}s is copied.
 * 
 * @author diewald
 */
public class ModelElementWithRefCopyMessage extends LogMessage {

	/** The warning message. */
	private static final String COPY_WARNING =
			"The copied element contained references to external model elements which have not been copied." +
					"Please re-add them if necessary.";

	/** Constructor. */
	public ModelElementWithRefCopyMessage() {
		super(COPY_WARNING);
	}
}
