/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.swt;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.KeyAdapter;
import org.eclipse.swt.events.KeyEvent;
import org.eclipse.swt.events.KeyListener;

/**
 * A {@link KeyListener} that handles the pressing of the Delete key.
 * 
 * @author streitel
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: FB2B1FD494D82BA26534ED7C25FC5845
 */
public abstract class DeleteKeyListenerBase extends KeyAdapter {

	/** {@inheritDoc} */
	@Override
	public void keyPressed(KeyEvent e) {
		if (e.keyCode == SWT.DEL) {
			deleteKeyPressed();
		}
	}

	/** Sent when the Delete key is pressed on the keyboard. */
	protected abstract void deleteKeyPressed();
}